Application: gvSIG desktop - gvSIG bugs #4646
Scripting: System.out.printin is ignored in the console
09/03/2017 07:06 PM - Antonio Falciano

Status: New % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:

Category: Scripting

Target version:

Severity: Major Add-on version:

gvSIG version: 1.12.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

System.out.printin is ignored both in the console of the Scripting composer and the Jython console itself since gvSIG 1.12 at least.
For instance, if | execute the following helloWorld.py script:

# encoding: utf-8
from java.lang import System
def main(*args):
System.out.printin("Hello world")
these are the log messages:
Running script helloWorld.

Script helloWorld terminated.

Related to #42507?

History

#1 - 09/04/2017 12:54 PM - Joaquin del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#2 - 03/26/2020 01:52 PM - Joaquin del Cerro Murciano
- Priority changed from Normal to Low

#3 - 04/21/2020 09:25 AM - Alvaro Anguix
- Target version deleted (2.5.1-3044)
